package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.KeyDataDTO;
import com.gic.haoban.manage.api.enums.KeyDataEnum;
import com.gic.haoban.manage.api.service.KeyDataApiService;
import com.gic.haoban.manage.service.errorcode.HaoBanErrCode;
import com.gic.haoban.manage.service.service.KeyDataService;

@Service("keyDataApiService")
public class KeyDataApiServiceImpl implements KeyDataApiService {

    @Autowired
    private KeyDataService keyDataService;

    @Override
    public ServiceResponse<KeyDataDTO> saveData(String data, KeyDataEnum dataEnum) {
        return ServiceResponse.success(this.keyDataService.saveData(data, dataEnum));
    }

    @Override
    public ServiceResponse<String> getDataByKey(String key, KeyDataEnum dataEnum) {
        KeyDataDTO data = this.keyDataService.getDataByKey(key, dataEnum);
        if (null != data) {
            return ServiceResponse.success(data.getData());
        }
        return ServiceResponse.failure(HaoBanErrCode.ERR_OTHER.getCode(), "数据不存在");
    }

}
